# Routing Algorithm

Este proyecto implementa un algoritmo de búsqueda tabú para resolver problemas de ruteo de vehículos (Vehicle Routing Problem, VRP). El objetivo es optimizar las rutas de una flota de vehículos que deben visitar un conjunto de clientes para satisfacer sus demandas, respetando las restricciones de capacidad y tiempo.

---

## Características

- Búsqueda Tabú: Utiliza la búsqueda tabú para encontrar soluciones óptimas o cercanas al óptimo para el VRP.
- Optimización de Rutas: Calcula rutas eficientes teniendo en cuenta la demanda de los clientes, la capacidad de los vehículos y las ventanas de tiempo.
- Flexibilidad: Capaz de adaptarse a diferentes configuraciones de problemas de ruteo.

---

## Requisitos Previos

Para ejecutar este proyecto, necesitarás:

- Python 3.6 o superior.
- Librerías de Python: random, time, collections.deque, copy.deepcopy.

---

## Estructura del Proyecto

- src/: Carpeta que contiene los módulos fuente del proyecto.
  - node.py: Define la clase Node, que representa a los clientes y depósitos.
  - routing_algorithm.py: Contiene la implementación del algoritmo de búsqueda tabú.
- README.md: Este archivo, que proporciona una visión general del proyecto y las instrucciones de uso.

---

## Contribuir

Si deseas contribuir al proyecto, por favor considera lo siguiente:

- Reporte de Errores: Usa el sistema de issues para reportar errores.
- Sugerencias de Mejoras: Las ideas para mejorar el proyecto son siempre bienvenidas.

---

## Licencia

Este proyecto está bajo la Licencia MIT. Consulta el archivo LICENSE para más detalles.

---
